%define upstream_name    Inline-Files
%define upstream_version 0.69

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Multiple virtual files after __END__
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Test)
BuildArch:  noarch

%description
Inline::Files generalizes the notion of the '__DATA__' marker and the
associated '<DATA>' filehandle, to an arbitrary number of markers and
associated filehandles.

When you add the line:

    use Inline::Files;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.690.0-3.mga6
+ Revision: 1028573
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.690.0-2.mga6
+ Revision: 966292
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.690.0-1.mga6
+ Revision: 843215
- update to 0.69

* Wed Oct 15 2014 umeabot <umeabot> 0.680.0-5.mga5
+ Revision: 738862
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.680.0-4.mga5
+ Revision: 685133
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.680.0-3.mga5
+ Revision: 512433
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.680.0-2.mga3
+ Revision: 368744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 0.680.0-1.mga2
+ Revision: 178161
- imported package perl-Inline-Files


* Wed Dec 07 2011 cpan2dist 0.68-1mga
- initial mageia release, generated with cpan2dist
